For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • GETList guardrails
      • POSTCreate a guardrail
      • GETGet a guardrail
      • DELDelete a guardrail
      • PATCHUpdate a guardrail
      • GETList key assignments for a guardrail
      • POSTBulk assign keys to a guardrail
      • POSTBulk unassign keys from a guardrail
      • GETList member assignments for a guardrail
      • POSTBulk assign members to a guardrail
      • POSTBulk unassign members from a guardrail
      • GETList all key assignments
      • GETList all member assignments
LogoLogo
ModelsChatRankingsDocs
API ReferenceGuardrails

Get a guardrail

GET
https://openrouter.ai/api/v1/guardrails/:id
GET
/api/v1/guardrails/:id
$curl https://openrouter.ai/api/v1/guardrails/550e8400-e29b-41d4-a716-446655440000 \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "created_at": "2025-08-24T10:30:00Z",
4 "id": "550e8400-e29b-41d4-a716-446655440000",
5 "name": "Production Guardrail",
6 "workspace_id": "0df9e665-d932-5740-b2c7-b52af166bc11",
7 "allowed_models": null,
8 "allowed_providers": [
9 "openai",
10 "anthropic",
11 "google"
12 ],
13 "description": "Guardrail for production environment",
14 "ignored_models": null,
15 "ignored_providers": null,
16 "limit_usd": 100,
17 "reset_interval": "monthly",
18 "updated_at": "2025-08-24T15:45:00Z",
19 "enforce_zdr": false
20 }
21}

Get a single guardrail by ID. Management key required.

Was this page helpful?
Previous

Delete a guardrail

Next
Built with

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Path parameters

idstringRequiredformat: "uuid"
The unique identifier of the guardrail to retrieve

Response

Guardrail details
dataobject
The guardrail

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error